%global         momorel 2

Name:           perl-Module-Runtime
Version:        0.014
Release:        %{momorel}m%{?dist}
Summary:        Runtime module handling
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Module-Runtime/
Source0:        http://www.cpan.org/authors/id/Z/ZE/ZEFRAM/Module-Runtime-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.006
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Params-Classify
BuildRequires:  perl-parent
BuildRequires:  perl-Test-Simple
Requires:       perl-Params-Classify
Requires:       perl-parent
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
The functions exported by this module deal with runtime handling of Perl
modules, which are normally handled at compile time.

%prep
%setup -q -n Module-Runtime-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
./Build test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes META.json README
%{perl_vendorlib}/Module/Runtime.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.014-2m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.014-1m)
- update to 0.014
- rebuild against perl-5.18.2

* Fri Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.013-7m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.013-6m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.013-5m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.013-4m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.013-3m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.013-2m)
- rebuild against perl-5.16.0

* Sat Mar 10 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.013-1m)
- update to 0.013

* Sat Oct 29 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.011-1m)
- update to 0.011

* Sat Oct  8 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.010-1m)
- update to 0.010

* Thu Oct 06 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.009-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
